Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalComboBoxEditor

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicComboBoxEditor
            |
            +--javax.swing.plaf.metal.MetalComboBoxEditor

Direct Known Subclasses:
  MetalComboBoxEditor.UIResource

public class MetalComboBoxEditor
extends BasicComboBoxEditor

The default editor for Metal editable combo boxes

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Inner Class Summary
`static class` | `MetalComboBoxEditor.UIResource` A subclass of BasicComboBoxEditor that implements UIResource.

Inner classes inherited from class javax.swing.plaf.basic.BasicComboBoxEditor
`BasicComboBoxEditor.UIResource`

Field Summary
`protected static java.awt.Insets` | `editorBorderInsets`

Fields inherited from class javax.swing.plaf.basic.BasicComboBoxEditor
`editor`

Constructor Summary
`MetalComboBoxEditor()`

Methods inherited from class javax.swing.plaf.basic.BasicComboBoxEditor
`addActionListener, focusGained, focusLost, getEditorComponent, getItem, removeActionListener, selectAll, setItem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### editorBorderInsets

    protected static java.awt.Insets editorBorderInsets

Constructor Detail

### MetalComboBoxEditor

    public MetalComboBoxEditor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.